com.microfocus.zserver.zexplorer.internal

## Class ZExplorerRSEPartListener

- java.lang.Object
- - com.microfocus.zserver.zexplorer.internal.ZExplorerRSEPartListener

- All Implemented Interfaces:
    org.eclipse.ui.IPartListener

      public class ZExplorerRSEPartListener
      extends java.lang.Object
      implements org.eclipse.ui.IPartListener

  Registers a context for RSE views. Usually, the view part implementations should register a context themselves but since we didn't implement them we're waiting for them to come up and do the registration afterwards.

  Copyright (C) Micro Focus

  Author:
    Ralf Pakosch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ID_RSE_TABLE_VIEW` ID of the RSE table view.
    `static java.lang.String` | `ID_RSE_TREE_VIEW` ID of the RSE tree view.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRegistrations(org.eclipse.ui.IWorkbenchPart pPart)` Registers binding contexts for the given part.
    `static ZExplorerRSEPartListener` | `getInstance()` Gets the part listener's singleton instance.
    `void` | `partActivated(org.eclipse.ui.IWorkbenchPart pPart)`
    `void` | `partBroughtToTop(org.eclipse.ui.IWorkbenchPart pPart)`
    `void` | `partClosed(org.eclipse.ui.IWorkbenchPart pPart)`
    `void` | `partDeactivated(org.eclipse.ui.IWorkbenchPart pPart)`
    `void` | `partOpened(org.eclipse.ui.IWorkbenchPart pPart)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID_RSE_TREE_VIEW

          public static final java.lang.String ID_RSE_TREE_VIEW

      ID of the RSE tree view.
      See Also:
        Constant Field Values

    - #### ID_RSE_TABLE_VIEW

          public static final java.lang.String ID_RSE_TABLE_VIEW

      ID of the RSE table view.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static ZExplorerRSEPartListener getInstance()

      Gets the part listener's singleton instance.
      Returns:
        the instance

    - #### partActivated

          public void partActivated(org.eclipse.ui.IWorkbenchPart pPart)

      Specified by:
        `partActivated` in interface `org.eclipse.ui.IPartListener`

    - #### doRegistrations

          public void doRegistrations(org.eclipse.ui.IWorkbenchPart pPart)

      Registers binding contexts for the given part. Does nothing, if the contexts have already been registered.
      Parameters:
        `pPart` - an RSE view part

    - #### partBroughtToTop

          public void partBroughtToTop(org.eclipse.ui.IWorkbenchPart pPart)

      Specified by:
        `partBroughtToTop` in interface `org.eclipse.ui.IPartListener`

    - #### partClosed

          public void partClosed(org.eclipse.ui.IWorkbenchPart pPart)

      Specified by:
        `partClosed` in interface `org.eclipse.ui.IPartListener`

    - #### partDeactivated

          public void partDeactivated(org.eclipse.ui.IWorkbenchPart pPart)

      Specified by:
        `partDeactivated` in interface `org.eclipse.ui.IPartListener`

    - #### partOpened

          public void partOpened(org.eclipse.ui.IWorkbenchPart pPart)

      Specified by:
        `partOpened` in interface `org.eclipse.ui.IPartListener`

Copyright © 2015 Micro Focus GmbH. All rights reserved.